Subject: Re: [alsa-devel] [PATCH v2] ALSA: aoa: convert bus code to use dev_groups

From: Quentin Lambert <[email-masked]>
Date: Thu, 11 Jun 2015 14:04:45 +0200

On 11/06/2015 12:02, Takashi Iwai wrote:
> At Thu, 11 Jun 2015 10:03:38 +0200,
> Quentin Lambert wrote:
>>
>> The dev_attrs field of struct bus_type is going away, use dev_groups instead.
>> This converts the soundbus code to use the correct field.
>>
>> Given that all other usages of the macro define the struct attribute
>> *xxx_attrs[] in the same file they assign the .dev_groups field, this patch
>> merges sysfs.c into core.c.
>>
>> These modifications were made using Coccinelle.
>>
>> Signed-off-by: Quentin Lambert <[email-masked]>
>> ---
>>   Changes since v1:
>>    - Fix the commit message to actually talk about soundbus rather than MDIO
>>    - This version attempt to fix a problem resulting from the macro
>>      ATTRIBUTE_GROUPS declaring the structure as static by merging sysfs.c into
>>      core.c. I understand that this may not be the prefered solution since
>>      Takashi suggested that adding a comment line to the previous version could
>>      be acceptable.
> Hmm, the patch doesn't look as mentioned here.
> It's rather bigger than the previous patch.  Is this intentional?
>
Well as mentionned in the change log it is bigger because it moves the 
code from sysfs.c to
core.c. I realise as I am writing this that this patch should have 
really been two patches.
The first one removing sysfs.c and the second one removing the use of 
the dev_attrs.

> Takashi
Quentin